This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 149660 - an attempt to delete something without anything highlighted causes a backtrace
an attempt to delete something without anything highlighted causes a backtrace
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 16:44 EST by Corey Marthaler
Modified: 2009-04-16 16:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 18:34:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-02-24 16:44:03 EST
Description of problem:
I deleted a failover domain and then clicked the delete button again
and it caused a trace back. The same thing happened when I tried to
delete a fence device.

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line
945, in on_faildom_delete
    obj = model.get_value(iter, OBJ_COL)
TypeError: iter must be a GtkTreeIter
Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line
777, in on_fd_delete
    obj = model.get_value(iter, OBJ_COL)
TypeError: iter must be a GtkTreeIter


How reproducible:
Always
Comment 1 Jim Parsons 2005-03-01 12:50:58 EST
will fix - throw away ptr to current selection in tree chamnnge listener...
Comment 2 Jim Parsons 2005-03-28 06:15:56 EST
Fixed in 0.9.17-1.0
Comment 3 Corey Marthaler 2005-04-13 18:34:38 EDT
fix verified.

Note You need to log in before you can comment on or make changes to this bug.